### Hierarchy

- ITemplate

## Index

### Properties

- afterRender
- beforeRender
- body
- casing
- ext
- injects
- isPartial
- metadata
- name
- outputPath
- partials
- path
- pathNormalized
- raw
- rendered
- suffix

## Properties

### Optional afterRender

afterRender: AfterRender

- Defined in interfaces.ts:32

### Optional beforeRender

beforeRender: BeforeRender

- Defined in interfaces.ts:31

### Optional body

body: string

- Defined in interfaces.ts:30

### Optional casing

casing: "lower" | "upper" | "camel" | "title" | "capitalize"

- Defined in interfaces.ts:25

### Optional ext

ext: string

- Defined in interfaces.ts:23

### Optional injects

injects: any[]

- Defined in interfaces.ts:26

### Optional isPartial

isPartial: boolean

- Defined in interfaces.ts:37

### Optional metadata

metadata: IMetadata

- Defined in interfaces.ts:29

### Optional name

name: string

- Defined in interfaces.ts:22

### Optional outputPath

outputPath: string

- Defined in interfaces.ts:33

### Optional partials

partials: IPartials

- Defined in interfaces.ts:36

### Optional path

path: string

- Defined in interfaces.ts:27

### Optional pathNormalized

pathNormalized: string

- Defined in interfaces.ts:28

### Optional raw

raw: string

- Defined in interfaces.ts:34

### Optional rendered

rendered: string

- Defined in interfaces.ts:35

### Optional suffix

suffix: string

- Defined in interfaces.ts:24

Generated using TypeDoc